apt-get update error

Scott Kitterman kubuntu at kitterman.com
Wed Jun 21 12:19:46 BST 2006

On Wednesday 21 June 2006 06:56, Tez wrote:
> Hi,
> This isn't a huge problem but it gets annoying.
> When I do a "sudo apt-get update" everything goes fine except when it
> gets to
> http://archive.ubuntu.com dapper/main Packages
> It says:
> gzip: stdin: not in gzip format
> Errhttp://archive.ubuntu.com dapper/main Packages
>   Sub-process gzip returned an error code (1)
> And at the end it says:
> Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/dapper/main/binary-i386/Packages.gz
> Sub-process gzip returned an error code (1)
> Reading package lists... Done
> E: Some index files failed to download, they have been ignored, or old
> ones used instead.
> This has been going on for a while now, but the odd thing is if I do:
> "wget
> http://archive.ubuntu.com/ubuntu/dists/dapper/main/binary-i386/Packages.gz
> -O -|gzip -dc > filename"
> it works fine, no errors.
> What command dose apt-get use to decompress the Packages.gz file that's
> not working?
> Anyway It's more of a curiosity since updates are in the dapper-updates
> repository which works fine, it's just confusing to me.
> Tez

I believe that if you remove the word Packages and change the "/" between 
dapper and main to a space, all will be fine.  What you want 
in /etc/apt/sources.list is:

deb http://[path to your ubuntu mirror here]/ubuntu/ dapper main

Scott K

More information about the kubuntu-users mailing list